/**********************************************************************************/
/*                                                                                */
/*        Copyright (C) 2005, WiNRADiO Communications, All Rights Reserved        */
/*                                                                                */
/**********************************************************************************/

#ifndef __U_RECEIVER_DIALOG_H__
#define __U_RECEIVER_DIALOG_H__

#include <wx/wx.h>
#include "wrg313api.h"

class TReceiverDialog:public wxDialog
{
public:
    wxString GetPath(void) const {return m_Path;}
    void AssignDeviceList(RADIO_DESC *List,int Count);
    TReceiverDialog(void);
    ~TReceiverDialog(void);
private:
    wxListCtrl      *m_List;
    wxButton        *m_OK;
    wxButton        *m_Cancel;
    wxStaticText    *m_Label;
    wxString        m_Path;
    
    void OnOKClick(wxCommandEvent& Event);
    void OnItemDblClick(wxListEvent& Event);
    
    DECLARE_EVENT_TABLE()
};


bool GetReceiver(RADIO_DESC *List,int Count,wxString &Path);


#endif

